Skip to main content
GET
/
v1
/
funding-details
Get account funding details
curl --request GET \
  --url https://api.cadanapay.com/v1/funding-details \
  --header 'Authorization: Bearer <token>'
{ "type": "us_ach", "currency": "USD", "details": { "accountName": "Acme Corp", "accountNumber": "123456789", "routingNumber": "000000000", "bankName": "Example Bank", "accountType": "checking" } }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Funding details for the account

type
enum<string>
required

The type of funding method

Available options:
ach,
wire,
iban,
bank,
swift
Example:

"ach"

currency
string
required

ISO 4217 currency code

Example:

"USD"

accountName
string

Name on the account

Example:

"Acme Corp"

accountNumber
string

Account number (for ACH, bank, wire) or IBAN (for iban type)

Example:

"123456789"

routingNumber
string

Routing number (for ACH, bank, wire)

Example:

"000000000"

bankName
string

Name of the bank

Example:

"Example Bank"

accountType
enum<string>

Type of account (for ACH, bank)

Available options:
checking,
savings
Example:

"checking"

swiftCode
string

SWIFT/BIC code (for iban, swift types)

Example:

"EXMPGB2L"

country
string

Country code (for iban type)

Example:

"GB"

address
string

Crypto wallet address (for crypto type)

Example:

"0x742d35Cc6634C0532925a3b844Bc454e4438f44e"

chain
string

Blockchain chain (for crypto type)

Example:

"ETH"

cryptoType
string

Type of cryptocurrency (for crypto type)

Example:

"USDC"

memo
string

Memo or reference (for crypto type)

Example:

"123456"